#ifndef LEVEL_H_
#define LEVEL_H_


#include "LevelObject.h"
#include "SharedPtr.h"
#include "PlayerStart.h"
#include "Portal.h"
#include <vector>

class Level : public std::vector<SharedPtr<LevelObject> > {
  public:
    Level() {
      push_back(SharedPtr<LevelObject>(new PlayerStart()));
      push_back(SharedPtr<LevelObject>(new Portal(2, 2, 0.4f)));
    }
};

#endif /*LEVEL_H_*/
